@import url('https://fonts.googleapis.com/css?family=Roboto:300,500&display=swap&subset=cyrillic');

.buyer-popup {
    display: flex;
    visibility: hidden;
    opacity: 0;
    position: fixed;
    z-index: 1000000;
    right: 20px;
    top: 20px;
    width: 350px;
    min-width: 350px;
    min-height: 80px;
    background-color: white;
    border-radius: 6px;
    color: #000;
    box-shadow: 0 1px 6px rgba(0,0,0,.35);
    font-size: 14px;
    box-sizing: border-box;
    font-family: Roboto,sans-serif;
    font-style: normal;
    font-weight: 300;
    text-transform: none;
    text-shadow: none;
    max-height: none;
    -webkit-transform-origin: 50% 50%;
    -moz-transform-origin: 50% 50%;
    -o-transform-origin: 50% 50%;
    -ms-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    line-height: 1.4;
    cursor: pointer;
    transition: visibility 0s linear 0.33s, opacity 0.33s linear;
}

.buyer-popup--active {
    visibility: visible;
    opacity: 1;
    transition-delay: 0s;
}

.buyer-popup--left {
    right: auto;
    left: 20px;
}

.buyer-popup--bottom {
    top: auto;
    bottom: 20px;
}

.buyer-popup__ico {
    padding: 20px;
    background-color: #585be6;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    display: flex;
    align-items: center;
}

.buyer-popup__body {
    padding: 10px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.buyer-popup__title {
    font-weight: 500;
    font-size: 15px;
}

.buyer-popup__text {
    white-space: pre-wrap;
    word-wrap: break-word;
}
